# -*- RPM-SPEC -*-
Summary: Package manager for 
Name: redhat-config-packages
Version: 1.0.1
Release: 1
URL: http://www.redhat.com/ 
Source0: %{name}-%{version}.tar.gz
License: GPL
Group: Applications/System 
BuildArch: noarch
Requires: initscripts >= 5.99, usermode, libglade2, pygtk2-libglade, pygtk2, python, rhpl >= 0.48, comps-extras, rpm404-python, libxml2-python
Requires: gnome-python2 >= 1.99.11-3
BuildRequires: /usr/bin/python2.2, gettext, glibc-devel, gcc, desktop-file-utils
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Obsoletes: gnorpm

%description

redhat-config-packages is the package manager for Red Hat Linux.  It
supports installation of interesting packages from CD.

%prep
%setup -q

%configure

%build

# Don't run right now.. I want to build it even though we don't have doc strings for everything
#make check

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root)
%doc ChangeLog src/autorun README
%{_datadir}/application-registry/*
%{_datadir}/redhat-config-packages
%{_datadir}/pixmaps/*
%{_datadir}/applications/*
%config(noreplace) /etc/pam.d/*
%config(noreplace) /etc/security/console.apps/*
%{_sbindir}/*
%{_bindir}/*

%changelog
* Tue Sep  3 2002 Jeremy Katz <katzj@redhat.com>
- update translations

* Fri Aug 30 2002 Jeremy Katz <katzj@redhat.com>
- set hint so that nautilus won't pop up windows while installing
- fix pixmap path for CDs
- add a way for centering for firstboot
- miscellaneous other minor bug fixes

* Thu Aug 29 2002 Jeremy Katz <katzj@redhat.com>
- oops, another typo fix build

* Thu Aug 29 2002 Jeremy Katz <katzj@redhat.com>
- obsolete gnorpm
- other minor fixes
- fix bad interactions with magicdev

* Wed Aug 28 2002 Jeremy Katz <katzj@redhat.com>
- add README

* Wed Aug 28 2002 Jeremy Katz <katzj@redhat.com>
- handle extra CDs having dependencies on packages within the main distribution

* Tue Aug 27 2002 Jeremy Katz <katzj@redhat.com>
- handle multiple CD-ROM drives more sanely
- start handling packages from multiple sources better
- fix textdomain of specspo

* Sat Aug 24 2002 Jeremy Katz <katzj@redhat.com>
- fix a typo

* Sat Aug 24 2002 Jeremy Katz <katzj@redhat.com>
- Make the single-package tool faster if dependencies are already installed.  
- Various other minor bugfixes

* Thu Aug 15 2002 Preston Brown <pbrown@redhat.com>
- handle package installation in KDE as well.

* Wed Aug 14 2002 Jonathan Blandford <jrb@redhat.com>
- new version.  Added the single-package tool

* Mon Aug 12 2002 Jeremy Katz <katzj@redhat.com>
- another new version with lots more changes
- add sample autorun to included docs

* Tue Aug  6 2002 Jonathan Blandford <jrb@redhat.com>
- New version

* Sun Aug  4 2002 Jeremy Katz <katzj@redhat.com>
- huge numbers of changes.  starting to work a lot better

* Fri Jul 26 2002 Jeremy Katz <katzj@redhat.com>
- fix desktop file so that we show up in the main apps menu
- fix requires

* Tue Jul 23 2002 Jonathan Blandford <jrb@redhat.com>
- Create spec file
